package fer.hr.preprocessing.histogram;

import java.awt.image.BufferedImage;

/**
 * Created by jcular on 5/12/16.
 */
public class RowSumHistogram implements IHistogram {
    @Override
    public double[] calculateHistogram(BufferedImage image) {
        double[] sumOfPixels = new double[image.getHeight()];
        for (int i = 0; i < image.getWidth(); i++) {
            for (int j = 0; j < image.getHeight(); j++) {
                if ((image.getRGB(i,j) & 0xFF) == 0) {
                    sumOfPixels[j]++;
                }
            }
        }
        return sumOfPixels;
    }
}
